<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>GTSBox: Main Page</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">GTSBox
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="PageDoc"><div class="header">
  <div class="headertitle">
<div class="title">GTSBox Documentation</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><p><a class="anchor" id="md__Users_dlekshmi_Desktop_Repos_PhD_GTSBox_README"></a><a href="https://gitter.im/GTSBox/community?utm_source=badge&amp;utm_medium=badge&amp;utm_campaign=pr-badge"><img src="https://badges.gitter.im/GTSBox/community.svg" alt="Gitter" style="pointer-events: none;" class="inline"/></a></p>
<p>This toolbox enables us to run the GTS on single-cell data and has been checked on Mac and Linux systems. This repo builds on the work:</p>
<ol type="1">
<li>Dharmarajan, Lekshmi, et al. "A simple and flexible computational framework for inferring sources of heterogeneity from single-cell dynamics." Cell systems 8.1 (2019): 15-26.</li>
</ol>
<p><b>Please read this document carefully before proceeding.</b></p>
<h3>Requirements</h3>
<p>This toolbox is based on MATLAB. The examples use ODE integrators from IQMtools (tested on Linux, windows MATLAB2019b) and AMICI (till MATLAB 2017b). MATLAB toolboxes used in this repo are:</p><ol type="1">
<li>distrib computing toolbox</li>
<li>financial toolbox (for cov2corr function)</li>
<li>statistics toolbox</li>
<li>symbolic toolbox</li>
</ol>
<p>An appropriate mex compiler for the matlab version in use is also required.</p>
<h3>Common issues and solutions</h3>
<ol type="1">
<li><p class="startli">Cannot run the examples:</p>
<p class="startli">a. Make sure that you have the right version of MATLAB for the AMICI toolbox. We recommend starting with the Llamosi example instead which does not depend on AMICI and uses IQMtools instead. Also note you can use any ODE integrator by replacing the <code>callSimulation</code> file.</p>
<p class="startli">b. Make sure that you have only the paths relevant to the right project.</p>
<p class="startli">c. We have observed minor changes in the results based on the system used if the model is ill-conditioned.</p>
<p class="startli">d. Make sure to RECOMPILE your model (delete and recompile the model source files) if you change the model txt or amici file.</p>
</li>
<li><p class="startli">If the second stage does not converge:</p>
<p class="startli">a. Please check the approximation of the uncertainties in your model.</p>
<p class="startli">b. It is likely you have less number of cells to estimate your model.</p>
</li>
<li>All other issues, please report.</li>
</ol>
<h3>Contents</h3>
<ol type="1">
<li>Projects folder is where you should add your projects and run the estimation. Already, two example projects are provided.</li>
<li>Documentation folder is where the documentation using doxygen will be built.</li>
<li>Scripts folder contains shell scripts that pertain to installation.</li>
<li>Tests folder contains a small test case, and some simple tests for ensuring the data is the right format.</li>
<li>Dependencies folder has all requirements as submodules in the toolbox.</li>
</ol>
<h3>Setup and running</h3>
<ol type="1">
<li><b>Clone the repo.</b> <pre class="fragment"> git clone  https://git.bsse.ethz.ch/csb/GTSBox.git GTSBox
 cd GTSBox
 git submodule update --init
</pre></li>
<li><b>Install dependencies.</b> All submodules will be in the Dependencies folder. Go into the Dependencies folder and install the required ones. AMICI does not require additional installation while NLOPT does. See <code><a class="el" href="d1/d58/_i_n_s_t_a_l_l_8md.html">INSTALL.md</a></code> for more information on the Dependencies and installing it in a server/ grid home.</li>
<li><b>Run a project</b> To run GTS on your project, create a project in the <code>Projects</code> folder. You can use the <code>make-project.sh</code> to create a template of a project folder. More information on the <code>Project</code> folder can be found in <a class="el" href="d3/db5/md___users_dlekshmi__desktop__repos__ph_d__g_t_s_box__projects__project_description.html">Instruction to make Projects</a> in the <code>Projects</code> folder.</li>
</ol>
<p>The best way to get acquainted with the functions in this toolbox is by running the example project: <code>Projects/Llamosi2016/</code> OR <code>Projects/Transfection2018</code> and the page on <a class="el" href="d2/d75/md___users_dlekshmi__desktop__repos__ph_d__g_t_s_box__src__n_l_m_e__r_e_a_d_m_e.html">Instructions for estimating NLME with GTSBox</a>.</p>
<p>To run the Llamosi2016 model,</p>
<p>a. Install IQMtools on your system</p>
<p>b. Follow the scripts M1 to M4.</p>
<p>c. You should get a figure that corresponds to the model prediction quantiles and the data quantiles reported in the publication. Here the example uses sampling to calculate uncertainties (rather than second order sensitivities).</p>
<h4>Important markdown files</h4>
<p>Refer to these markdown files to:</p><ol type="1">
<li><a class="el" href="d2/dc9/md___users_dlekshmi__desktop__repos__ph_d__g_t_s_box__i_n_s_t_a_l_l.html">Installing instructions</a></li>
<li><a class="el" href="d2/d75/md___users_dlekshmi__desktop__repos__ph_d__g_t_s_box__src__n_l_m_e__r_e_a_d_m_e.html">Instruction to use GTSBox</a></li>
<li><a class="el" href="d3/db5/md___users_dlekshmi__desktop__repos__ph_d__g_t_s_box__projects__project_description.html">Instructions to set up a project</a></li>
</ol>
<h3>Building the documentation</h3>
<p>To build the documentation from the code, we use <a href="http://www.doxygen.nl/">doxygen</a>. In MacOS, you can easily download it using </p><pre class="fragment">sudo port install doxygen
</pre><p>To build the document, use the shell script in the Documentation subfolder.</p>
<pre class="fragment">cd Documentation

sh make-documentation.sh
</pre><p>Relevant pages on installation and running already available examples can be found in the documentation files in: </p><pre class="fragment">open Documentation/html/index.html
</pre><h3>Contact</h3>
<p>Submit an issue or contact </p>
</div></div><!-- PageDoc -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Dec 3 2020 14:53:30 for GTSBox by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
